Subject: Re: [PATCH 0/2] Making "git commit" to mean "git commit -a".

From: Andreas Ericsson <[email-masked]>
Date: Thu, 30 Nov 2006 12:09:27 +0100

Linus Torvalds wrote:
> 
> That said, I have to admit that I usually (a) don't do this very often (ie 
> this is not part of my daily routine) and (b) I tend to do "git reset" 
> fairly soon afterwards (or alternatively, just "git commit -a") to get 
> back to the situation where the index will match the current HEAD 100% 
> again. So the "index doesn't match HEAD" situation is always just a 
> _temporary_ thing for me.
> 

A staging area is per definition meant to keep temporary things before 
they are committed to their designated place so there's nothing odd 
about that.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se